Bug 2867 - multiple linuxconf flaws
multiple linuxconf flaws
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 1999-05-16 18:46 EDT by weejock-rhbug
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-10 10:36:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description weejock-rhbug 1999-05-16 18:46:12 EDT
1) linuxconf shouldn't be enabled in inetd.conf if remote
access is not enabled, IMO.

2) When remote access is disabled, linuxconf returns a
message instructing the user to enable access in
config/linuxconf network access.  It's actually in
config/misc/linuxconf network access.  (Names may not be
quite right.)  I actually think that the message should be a
little clearer (and longer).

3) Typed passwords (at least in the ppp setup) don't get
*ed.  I know they get stored plaintext, but I'd rather
people looking over my shoulder couldn't see them.

4) It seems to think that gpm is not started.  (Possibly
related to a couple of changes I made to
/etc/rc.d/init.d/gpm, but I doubt it.)
Comment 1 Michael K. Johnson 1999-08-04 10:42:59 EDT
1) is by design and the first thing linuxconf does in that context
   is evaluate the connection.  In fact, it can't follow your
   suggestion for 2) if your suggestion for 1) is followed, so this
   report is self-contradictory...

2) Jacques, can you look at this?

3) This is only true, AFAIK, for PPP passwords, and was a design
   decision at the time.

   Jacques, it's OK with me to change this PPP passwords invisible

4) has been reported and resolved as a bug in the gpm package.
Comment 2 weejock-rhbug 1999-08-04 10:46:59 EDT
Great stuff, thanks guys.
Comment 3 Michael K. Johnson 1999-08-28 16:14:59 EDT
Jacques, comments?
Comment 4 Trond Eivind Glomsrxd 2000-09-13 19:00:38 EDT
1) is now disabled (pinstripe), ppp should be done in rp3-config as of 6.2 or

Note You need to log in before you can comment on or make changes to this bug.